Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.testing
Class PastryNetworkTest

    java.lang.Object
      rice.pastry.testing.PastryNetworkTest

    public class PastryNetworkTest

extends java.lang.Object

Utility class for checking the consistency of an existing pastry network.

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh

Field Summary
`protected java.net.InetSocketAddress` | `bootstrap` DESCRIBE THE FIELD
`protected java.util.HashSet` | `dead` DESCRIBE THE FIELD
`protected Environment` | `environment` DESCRIBE THE FIELD
`protected SocketPastryNodeFactory` | `factory` DESCRIBE THE FIELD
`protected int` | `MAX_THREADS` DESCRIBE THE FIELD
`protected java.util.HashSet` | `nodes` DESCRIBE THE FIELD
`protected java.util.HashSet` | `unknown` DESCRIBE THE FIELD

Constructor Summary
`PastryNetworkTest(Environment env, SocketPastryNodeFactory factory, java.net.InetSocketAddress bootstrap)` Constructor for PastryNetworkTest.

Method Summary
`protected java.util.HashMap` | `fetchLeafSets()` DESCRIBE THE METHOD
`protected java.util.HashMap` | `fetchRouteRow(int row)` DESCRIBE THE METHOD
`static void` | `main(java.lang.String[] args)` The main program for the PastryNetworkTest class
`void` | `start()` DESCRIBE THE METHOD
`protected void` | `testLeafSets()` A unit test for JUnit
`protected void` | `testRouteRow(int row)` A unit test for JUnit
`protected void` | `testRoutingTables()` A unit test for JUnit

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### factory

    protected SocketPastryNodeFactory factory

  DESCRIBE THE FIELD

### bootstrap

    protected java.net.InetSocketAddress bootstrap

  DESCRIBE THE FIELD

### nodes

    protected java.util.HashSet nodes

  DESCRIBE THE FIELD

### dead

    protected java.util.HashSet dead

  DESCRIBE THE FIELD

### unknown

    protected java.util.HashSet unknown

  DESCRIBE THE FIELD

### MAX_THREADS

    protected final int MAX_THREADS

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

### environment

    protected Environment environment

  DESCRIBE THE FIELD

Constructor Detail

### PastryNetworkTest

    public PastryNetworkTest(Environment env,
                             SocketPastryNodeFactory factory,
                             java.net.InetSocketAddress bootstrap)

  Constructor for PastryNetworkTest.

  Parameters:
    `env` - DESCRIBE THE PARAMETER
    `factory` - DESCRIBE THE PARAMETER
    `bootstrap` - DESCRIBE THE PARAMETER

Method Detail

### fetchLeafSets

    protected java.util.HashMap fetchLeafSets()
                                       throws java.lang.Exception

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `java.lang.Exception` - DESCRIBE THE EXCEPTION

### testLeafSets

    protected void testLeafSets()
                         throws java.lang.Exception

  A unit test for JUnit

  Throws:
    `java.lang.Exception` - DESCRIBE THE EXCEPTION

### fetchRouteRow

    protected java.util.HashMap fetchRouteRow(int row)
                                       throws java.io.IOException

  DESCRIBE THE METHOD

  Parameters:
    `row` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

### testRouteRow

    protected void testRouteRow(int row)
                         throws java.io.IOException

  A unit test for JUnit

  Parameters:
    `row` - DESCRIBE THE PARAMETER
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

### testRoutingTables

    protected void testRoutingTables()
                              throws java.lang.Exception

  A unit test for JUnit

  Throws:
    `java.lang.Exception` - DESCRIBE THE EXCEPTION

### start

    public void start()
               throws java.lang.Exception

  DESCRIBE THE METHOD

  Throws:
    `java.lang.Exception` - DESCRIBE THE EXCEPTION

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  The main program for the PastryNetworkTest class

  Parameters:
    `args` - The command line arguments
  Throws:
    `java.lang.Exception` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.